

@echo off
color 1f
title Windows  自动开启和关闭IE代理设置
echo.
echo  ************************************************************************
echo  ***                                                                  ***
echo  ***             　Windows   自动开启和关闭IE代理设置　               ***
echo  ***                                                                  ***
echo  ***                                                                  ***
echo  ***    问:什么是代理服务器？                                         ***
echo  ***      答:就是你路由器开启了SS功能，在您上网的时候帮您获取网页内容 ***
echo  ***                                                                  ***
echo  ***    问:为什么要使用代理？                                         ***
echo  ***      答:google   facebook  sexpron。						       ***
echo  ***                                                                  ***
echo  ***    问:使用代理有什么好处？                                       ***
echo  ***      答:可以翻墙哦。											   ***
echo  ***                                                                  ***
echo  ***    问：我们的隐私有保障吗？                                      ***
echo  ***      答：和谐上网就好，我们对此不感兴趣。                        ***
echo  ***                                                                  ***
echo  ************************************************************************
echo.
echo.
:menus
echo.
echo 您要我帮忙做一下哪项工作？:
echo.
echo   1 帮我开启IE浏览器代理设置
echo.
echo   2 帮我关闭IE浏览器代理设置
echo.
echo   3 我点错了，要直接退出！
echo.
set /p select=请输入菜单对应数字后回车:

if /i "%select%" == "1" goto proxyon
if /i "%select%" == "2" goto proxyoff
if /i "%select%" == "3" exit

goto menus

:proxyon

cls
echo 正在设置IE使用代理服务器加速上网……
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings" /v AutoConfigURL /d "https://pac.xuanlove.net/avege.pac" /f
echo 正在刷新设置……
ipconfig /flushdns
goto exit


:proxyoff

cls
echo 正在清空代理服务器设置……
rem 禁用自动检测设置
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Connections" /v DefaultConnectionSettings /t REG_BINARY /d 4600000000 /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Connections" /v SavedLegacySettings /t REG_BINARY /d 4600000000 /f

rem 禁用代理
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyEnable /t REG_DWORD /d 0 /f

rem 删除代理IP地址
reg delete "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyServer /f

rem 禁用自动配制脚本（地址也被删除）
reg delete "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings" /v AutoConfigURL /f
echo 代理服务器设置已经清空
echo 正在刷新设置……
ipconfig /flushdns
goto exit

:exit
cls
echo.
echo.
echo.
echo.
echo.
echo ************请关闭并重新运行IE浏览器，以使设置生效************
echo.
echo.
echo.
echo.
echo.
echo.
pause
exit